% rutero test 1, tema 2, 521230, S2-2012
clc

% pares ordenados a interpolar
x=[-5 -3 0 1 2 4 7 9 10];
y=exp(-x.^2);
% crear M y D para ellos
[M,D] = test1_matricesMD(x,y);

% resolver sistema de ecuaciones M sigma = D
% descomposicion de Cholesky de M (deberia ser pos. def.) 
[R,p] = chol(M);
if p == 0
    disp('es pos. def.')
    sigma=R\(R'\D);
    sigma(1)
    sigma(end)
else
    disp('no es pos. def.');
    sigma = M\D;
    sigma(1)
    sigma(end)
end

% comprobando que el spline esté bien calculado, no es parte de test1
s = csape(x,[0 y 0],[2 2]);

evalp = linspace(-5,10);
val1 = eval_splinecubico(x,y,sigma,evalp);
plot(evalp,fnval(s,evalp));
hold on;
plot(val1(:,1),val1(:,2),'.r');
%val1(:,2)'-fnval(s,evalp)